---
updatedAt: 2026-02-10T12:51:18.000Z
---

# Updates an HCG server

**This API requires the Account Administrator role.**

Updates an existing Avaya Hybrid Cloud Gateway with Avaya Hybrid Cloud Gateway id by account id

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "java",
    "javascript",
    "python",
    "go"
  ],
  "info": {
    "title": "Admin - Voice",
    "description": "The Voice provider APIs are used to manage information about voice specific elements and different voice related entities e.g. Phone numbers.\n\nVoice Services will support multiple ways to provision voice providers\n  1. Programmatic Interface (Rest APIs)\n  2. User Interface\n",
    "contact": {
      "name": "Avaya API Team",
      "url": "https://developers.avayacloud.com/onecloud-ccaas",
      "email": "apiteam@avaya.com"
    },
    "license": {
      "name": "Avaya Software Development Kit (SDK) Software License Terms",
      "url": "http://support.avaya.com/css/P8/documents/101038288"
    },
    "version": "1.0.2"
  },
  "security": [
    {},
    {
      "BearerAuth": [],
      "AppKey": []
    }
  ],
  "servers": [
    {
      "url": "{protocol}://{server}{basePath}",
      "description": "Open API",
      "variables": {
        "protocol": {
          "enum": [
            "https"
          ],
          "default": "https"
        },
        "server": {
          "default": "HOST-REGION.api.avayacloud.com"
        },
        "basePath": {
          "default": "/api/admin/voice/v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Hybrid Cloud Gateway",
      "description": "Administration of Avaya Hybrid Cloud Gateway. These API are expected to be called by an account administrator. HCG is the abbreviated form for Hybrid Cloud Gateway and is commonly used in the summary of the APIs.\n"
    }
  ],
  "paths": {
    "/accounts/{accountId}/hybrid-cloud-gateways/{hybridCloudGatewayId}": {
      "put": {
        "tags": [
          "Hybrid Cloud Gateway"
        ],
        "summary": "Updates an HCG server",
        "description": "**This API requires the Account Administrator role.**\n\nUpdates an existing Avaya Hybrid Cloud Gateway with Avaya Hybrid Cloud Gateway id by account id\n",
        "operationId": "updateHybridCloudGateway",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          },
          {
            "$ref": "#/components/parameters/hybridCloudGatewayId"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateHybridCloudGatewayRequest"
              },
              "examples": {
                "default": {
                  "$ref": "#/components/examples/UpdateHybridCloudGatewayRequest"
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "202": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AsynchronousOperationResponse"
                },
                "examples": {
                  "default": {
                    "$ref": "#/components/examples/AvayaHybridCloudGatewayAsyncResponse"
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ErrorConstraintViolation"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "409": {
            "$ref": "#/components/responses/Conflict"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This API uses Bearer Token Authorization Flow",
        "bearerFormat": "JWT"
      },
      "AppKey": {
        "type": "apiKey",
        "in": "header",
        "name": "appkey",
        "description": "This API needs an appKey as header"
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorUnauthorized"
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorForbidden"
              }
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorNotFound"
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "All other application errors",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorInternalServerError"
              }
            }
          }
        }
      },
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorConstraintViolation"
              }
            }
          }
        }
      },
      "Conflict": {
        "description": "Conflict",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorConflict"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "AsynchronousOperationResponse": {
        "type": "object",
        "description": "Represents the response for an asynchronous operation that simply returns a HATEOAS url, that provides a reference to the object under operation",
        "properties": {
          "url": {
            "type": "string",
            "maxLength": 2048
          }
        }
      },
      "UpdateHybridCloudGatewayRequest": {
        "title": "UpdateHybridCloudGatewayRequest",
        "type": "object",
        "description": "Request object to update an Avaya Hybrid Cloud Gateway. Once a Hybrid Cloud Gateway element is created in NGM, it's systemId field isn't allowed to be updated. Hence the systemId field is excluded from this model.",
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique id of Avaya Hybrid Cloud Gateway",
            "readOnly": true,
            "format": "uuid",
            "example": "41c6ef0d-5470-406e-ace2-6dc442b99318"
          },
          "name": {
            "type": "string",
            "example": "AHCG123",
            "minLength": 3,
            "maxLength": 255,
            "pattern": "^[a-zA-Z0-9\\p{L}\\-\\_\\.\\ ]+$"
          },
          "description": {
            "type": "string",
            "example": "Description of the Avaya Hybrid Cloud Gateway",
            "maxLength": 1024,
            "pattern": "(^$|^[a-zA-Z0-9\\p{L}\\(\\)\\-\\_\\.\\ \\n]+$)"
          },
          "publicKey": {
            "type": "string",
            "example": "MIIBOgIBAAJBAKj34GkxFhD90vcNLYLInFEX6Ppy1tPf9Cnzj4p4WGeKLs1Pt8QuKUpRKfFLfRYC9AIKjbJTWit+CqvjWYzvQwECAwEAAQJAIJLixBy2qpFoS4DSmoEm",
            "description": "Public key of the Avaya Hybrid Cloud Gateway.",
            "minLength": 1,
            "maxLength": 4096
          },
          "publicKeyAlgorithm": {
            "type": "string",
            "description": "Algorithm for the public key. This is a mandatory field for configuring a Hyrbid Cloud Gateway. Currently it is internally set to ES256, if not specified.",
            "enum": [
              "ES256"
            ],
            "default": "ES256",
            "example": "ES256"
          },
          "locationCode": {
            "type": "string",
            "example": "IN-MH",
            "description": "ISO 3166-2 location code for country and region. For various country and region codes, check : https://www.iso.org/obp/ui/#search",
            "minLength": 1,
            "maxLength": 7
          },
          "sessionManagerFqdnList": {
            "type": "array",
            "items": {
              "type": "string",
              "maxLength": 255,
              "pattern": "^[a-zA-Z0-9\\p{L}\\-\\_\\/\\:\\.\\ ]+$"
            },
            "minItems": 1,
            "maxItems": 50,
            "description": "List of Fully-Qualified Domain-Name (FQDN) of all the deployed Session Managers for the tenant.",
            "example": [
              "sm1906.avaya.com",
              "sm-stage224.avaya.com",
              "sm_prod2201.avaya.com"
            ]
          },
          "isMediaLatchingEnable": {
            "type": "boolean",
            "example": true,
            "default": true
          },
          "isTermsAndConditionsAccepted": {
            "type": "boolean",
            "description": "Indicates if User agrees to terms and conditions.",
            "example": true
          }
        },
        "required": [
          "name",
          "publicKey",
          "locationCode",
          "sessionManagerFqdnList",
          "isTermsAndConditionsAccepted"
        ]
      },
      "Problem": {
        "type": "object",
        "description": "<b>Problem Detail</b> as a way to carry machine-readable details of errors in a HTTP response to avoid the need to define new error response formats for HTTP APIs <a href=\"https://tools.ietf.org/html/rfc7807\">RFC 7807</a>\n",
        "properties": {
          "type": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML).\n",
            "default": "about:blank",
            "example": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation"
          },
          "title": {
            "type": "string",
            "description": "A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized).\n",
            "example": "Service Unavailable",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.\n",
            "minimum": 100,
            "maximum": 600,
            "exclusiveMaximum": true,
            "example": 503,
            "nullable": true
          },
          "detail": {
            "type": "string",
            "description": "A human readable explanation specific to this occurrence of the problem.\n",
            "example": "Connection to database timed out",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.\n",
            "nullable": true
          },
          "violations": {
            "type": "array",
            "description": "A list of violations that occurred as a result of invalid data provided as part of a request.\n",
            "nullable": true,
            "items": {
              "type": "object",
              "properties": {
                "field": {
                  "type": "string",
                  "description": "The name of the field in the request that caused the violation. This can be the name of a path parameter, query parameter, or a field within the request body.\n",
                  "example": "accountId"
                },
                "message": {
                  "type": "string",
                  "description": "A human readable explanation specific to this occurrence of the violation.\n",
                  "example": "must match \"^[a-zA-Z]{6}$\""
                },
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "The violation code generated by the server for this occurrence of the violation. Use this code when implementing any error handling logic instead of the message, as the message can change.\n",
                  "example": 20006
                }
              }
            },
            "example": [
              {
                "field": "emailAddress",
                "message": "must not be null",
                "code": 20002
              },
              {
                "field": "accountId",
                "message": "must match \"^[a-zA-Z]{6}$\"",
                "code": 20006
              }
            ]
          }
        }
      }
    },
    "parameters": {
      "accountId": {
        "name": "accountId",
        "description": "The unique 6 character internal id that represents the customer account.",
        "required": true,
        "in": "path",
        "schema": {
          "type": "string",
          "minLength": 6,
          "maxLength": 6,
          "pattern": "^[a-zA-Z]{6}$",
          "example": "ABCDEF"
        }
      },
      "hybridCloudGatewayId": {
        "name": "hybridCloudGatewayId",
        "description": "The unique id of the Hybrid Cloud Gateway server",
        "in": "path",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid",
          "example": "c8c2909d-75e9-484a-94c0-b7e8d29771fe"
        }
      }
    },
    "examples": {
      "AvayaHybridCloudGatewayAsyncResponse": {
        "description": "A HATEOAS url that is a reference to the Avaya Hybrid Cloud Gateway under operation.",
        "value": {
          "url": "/api/admin/voice/v1/accounts/NCWBNY/hybrid-cloud-gateways/5e9be49a-32d3-4927-83c7-7b0952798028"
        }
      },
      "UpdateHybridCloudGatewayRequest": {
        "description": "Request model for updating an Avaya Hybrid Cloud Gateway",
        "value": {
          "name": "AHCG123",
          "description": "Description of the Avaya Hybrid Cloud Gateway",
          "publicKey": "MIIBOgIBAAJBAKj34GkxFhD90vcNLYLInFEX6Ppy1tPf9Cnzj4p4WGeKLs1Pt8QuKUpRKfFLfRYC9AIKjbJTWit+CqvjWYzvQwECAwEAAQJAIJLixBy2qpFoS4DSmoEm",
          "publicKeyAlgorithm": "ES256",
          "locationCode": "IN-MH",
          "sessionManagerFqdnList": [
            "sm1906.avaya.com",
            "sm-stage224.avaya.com"
          ],
          "isMediaLatchingEnable": true,
          "isTermsAndConditionsAccepted": true
        }
      },
      "ErrorUnauthorized": {
        "description": "Unauthorized",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#unauthorized",
          "title": "Unauthorized",
          "status": 401,
          "detail": "This operation requires authentication. See https://developers.avayacloud.com/onecloud-ccaas/docs/how-to-authenticate-with-ccaas-apis"
        }
      },
      "ErrorForbidden": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#forbidden",
          "title": "Forbidden",
          "status": 403,
          "detail": "According to the access control policy the current user does not have permission to access this resource."
        }
      },
      "ErrorNotFound": {
        "description": "Not Found",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#resource-not-found",
          "title": "Resource Not Found",
          "status": 404,
          "detail": "Either there is no API method associated with the URL path of the request, or the request refers to one or more resources that were not found."
        }
      },
      "ErrorInternalServerError": {
        "description": "Server Error",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#server-error",
          "title": "Server Error",
          "status": 500,
          "detail": "An internal server error was encountered."
        }
      },
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation",
          "title": "Constraint Violation",
          "status": 400,
          "detail": "A problem that indicates a syntactically correct, yet semantically illegal request. The Server can not process this request until the client resolves the semantic errors described in the violations section.",
          "violations": [
            {
              "field": "accountId",
              "message": "must match \"^[a-zA-Z]{6}$\"",
              "code": 20006
            }
          ]
        }
      },
      "ErrorConflict": {
        "description": "Conflict",
        "value": {
          "type": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#conflict",
          "title": "Conflict",
          "status": 409,
          "detail": "A resource with the same unique constraint values already exists.",
          "violations": [
            {
              "field": "name",
              "message": "Communication Manager with same name already exists."
            },
            {
              "field": "hostname",
              "message": "Communication Manager with same hostname already exists."
            }
          ]
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```